package org.bench4q.share.models.monitor;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement(name = "history")
@XmlType
public class MonitorMain extends SampleModel{
	
	private ProcessorModel processorModel;
	
	private MemoryModel memoryModel;
	
	private PhysicalDiskModel physicalDiskModel;

	private NetworkInterfaceModel networkInterfaceModel;

	private ProcessModel processModel;

	public MonitorMain() {

	}
	@XmlElement(name = "processor_info")
	public ProcessorModel getProcessorModel() {
		return processorModel;
	}

	public void setProcessorModel(ProcessorModel processorModel) {
		this.processorModel = processorModel;
	}
	@XmlElement(name = "memory_info")
	public MemoryModel getMemoryModel() {
		return memoryModel;
	}

	public void setMemoryModel(MemoryModel memoryModel) {
		this.memoryModel = memoryModel;
	}
	@XmlElement(name = "disk_info")
	public PhysicalDiskModel getPhysicalDiskModel() {
		return physicalDiskModel;
	}

	public void setPhysicalDiskModel(PhysicalDiskModel physicalDiskModel) {
		this.physicalDiskModel = physicalDiskModel;
	}
	@XmlElement(name = "network_info")
	public NetworkInterfaceModel getNetworkInterfaceModel() {
		return networkInterfaceModel;
	}

	public void setNetworkInterfaceModel(NetworkInterfaceModel networkInterfaceModel) {
		this.networkInterfaceModel = networkInterfaceModel;
	}
	@XmlElement(name = "process_info")
	public ProcessModel getProcessModel() {
		return processModel;
	}

	public void setProcessModel(ProcessModel processModel) {
		this.processModel = processModel;
	}
	
}
